# $Revision: 1.8 $, $Date: 2012/01/15 19:34:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Diff-HTML
Summary:	XHTML format for Text::Diff::Unified
Summary(pl.UTF-8):	Format XHTML dla Text::Diff::Unified
Name:		perl-Text-Diff-HTML
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bea80ec02d4f6d7e8eb8cfbcb35f3b2c
URL:		http://search.cpan.org/~dwheeler/Text-Diff-HTML-0.04/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod >= 1.20
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XHTML format for Text::Diff::Unified.

%description -l pl.UTF-8
Format XHTML dla Text::Diff::Unified.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Text/Diff/HTML.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Diff-HTML.spec,v $
Revision 1.8  2012/01/15 19:34:30  zbyniu
- up to 0.07; make install

Revision 1.7  2009/10/16 07:17:10  amateja
- updated to 0.06

Revision 1.6  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2006/10/24 20:53:16  ankry
- C&P-able src URL

Revision 1.3  2006/10/21 17:59:40  ankry
- rel. 1

Revision 1.2  2005/12/15 21:30:45  qboosh
- pl, cleanup

Revision 1.1  2005/12/07 21:35:25  twittner
- added
